# Copyright (c) 2007-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _prefix	/usr

Name:			libxtract0
Summary:		A simple, portable, lightweight library of audio feature extraction functions
Version:		0.6.2
Release:		3.35
License: GPL-2.0
Group:			System/Libraries
Source:			libxtract-%{version}.tar.gz
URL:			http://libxtract.sourceforge.net/
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	doxygen
BuildRequires:	fftw3-devel

%description
LibXtract is a simple, portable, lightweight library of audio feature
extraction functions. The purpose of the library is to provide a
relatively exhaustive set of feature extraction primatives that are
designed to be 'cascaded' to create a extraction hierarchies.

For example, 'variance', 'average deviation', 'skewness' and
'kurtosis', all require the 'mean' of the input vector to be
precomputed. However, rather than compute the 'mean' 'inside' each
function, it is expected that the 'mean' will be passed in as an
argument. This means that if the user wishes to use all of these
features, the mean is calculated only once, and then passed to any
functions that require it.

This philosophy of 'cascading' features is followed throughout the
library, for example with features that operate on the magnitude
spectrum of a signal vector (e.g. 'irregularity'), the magnitude
spectrum is not calculated 'inside' the respective function, instead,
a pointer to the first element in an array containing the magnitude
spectrum is passed in as an argument.

Hopefully this not only makes the library more efficient when
computing large numbers of features, but also makes it more flexible
because extraction functions can be combined arbitrarily (one can
take the irregularility of the Mel Frequency Cepstral Coefficients
for example).

Author: Jamie Bullock <jamie@postlude.co.uk>

%package -n libxtract-devel
Summary:	Libraries, includes etc to develop with libxtract library
Group:		Development/Libraries/C and C++
Requires:	libxtract0 = %{version}

%description -n libxtract-devel
Libraries, includes etc to develop with the libxtract library.

Author: Jamie Bullock <jamie@postlude.co.uk>



%prep
%setup -q -n libxtract-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC"
%configure \
	--disable-static \
	--enable-simpletest=no \
	--enable-fft
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm -f %{buildroot}%{_libdir}/*.la

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog README TODO
%{_libdir}/lib*.so.*

%files -n libxtract-devel
%defattr(-, root, root)
%doc doc/html/*
%dir %{_includedir}/xtract
%{_includedir}/xtract/*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libxtract.pc

%changelog
* Sat May 19 2012 seife+obs@b1-systems.com
- remove unnecessary %%suse_update_config (which broke 12.2 build)
* Tue Feb 23 2010 toni@links2linux.de
- update to 0.6.2
* Mon Dec  8 2008 toni@links2linux.de
- updae to 0.6.1 -r122 (vamp-plugin needs this version)
* Tue Apr 22 2008 toni@links2linux.de
- openSUSE-11.0 build without pd-plugin
* Sat Oct  6 2007 toni@links2linux.de
- rebuild with pd-plugin
* Tue Sep 25 2007 toni@links2linux.de
- openSUSE-10.3 build without pd-plugin
* Mon Aug 20 2007 toni@links2linux.de
- update to 0.4.7
- changed package layout according Shared Library Packaging Policy
* Tue Apr 24 2007 toni@links2linux.de
- Initial packaging 0.4.5
- repacked as tar.bz2
